[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.CreateParams

Updates creation flags used to create the handle for the control.

## Declaration

Source position: stdctrls.pp line 913

`protected procedure TCustomMemo.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Creation parameters for the control.

## Description

CreateParams is overridden in TCustomMemo, and calls the inherited method on entry. CreateParams ensures that style flags needed for the multi-line control are included in the Style property in the Params argument.

Values from the ScrollBars and WordWrap properties are checked, and flags are added as needed. ScrollBars causes window style flags to be added like WS_HSCROLL and/or WS_VSCROLL. When WordWrap is set to True, the WS_HSCROLL window style is removed from the creation parameters. Otherwise, the edit style ES_AUTOHSCROLL is added to the creation parameters.

## See also

TCustomEdit.CreateParams |  | Ensures the required creation parameters are set for handle creation.
TCustomMemo.ScrollBars |  | Defines the vertical and/or horizontal scrollbars used in the control.
TCustomMemo.WordWrap |  | Allows long lines (paragraphs) to wrap into multiple display lines.